Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenEditorView

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenEditorViewImpl

    public interface GenEditorView

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Editor View'.

The following features are supported:

- `Editor Gen`
- `Package Name`
- `Action Bar Contributor Class Name`
- `Class Name`
- `Icon Path`
- `Icon Path X`
- `ID`
- `Eclipse Editor`
- `Context ID`

See Also:
  `GMFGenPackage.getGenEditorView()`
** Generated **
Model:

Method Summary
`java.lang.String` `getActionBarContributorClassName()` Returns the value of the 'Action Bar Contributor Class Name' attribute
`java.lang.String` `getActionBarContributorQualifiedClassName()`
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`java.lang.String` `getContextID()` Returns the value of the 'Context ID' attribute
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getIconPath()` Returns the value of the 'Icon Path' attribute
`java.lang.String` `getIconPathX()` Processes keywords that are part of iconPath, to avoid serializing processed values.
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getQualifiedClassName()`
`boolean` `isEclipseEditor()` Returns the value of the 'Eclipse Editor' attribute.
`void` `setActionBarContributorClassName(java.lang.String value)` Sets the value of the '`Action Bar Contributor Class Name`' attribute
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setContextID(java.lang.String value)` Sets the value of the '`Context ID`' attribute
`void` `setEclipseEditor(boolean value)` Sets the value of the '`Eclipse Editor`' attribute
`void` `setIconPath(java.lang.String value)` Sets the value of the '`Icon Path`' attribute
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Editor`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenEditorView_EditorGen()`, `GenEditorGenerator.getEditor()`
  ** Generated **
  Model:
    opposite="editor" resolveProxies="false" transient="false" changeable="false"

### getPackageName

    java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `setPackageName(String)`, `GMFGenPackage.getGenEditorView_PackageName()`
  ** Generated **
  Model:

### setPackageName

    void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `getPackageName()`
  ** Generated **

### getActionBarContributorClassName

    java.lang.String getActionBarContributorClassName()

  Returns the value of the 'Action Bar Contributor Class Name' attribute.

  If the meaning of the 'Action Bar Contributor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Bar Contributor Class Name' attribute.
  See Also:
    `setActionBarContributorClassName(String)`, `GMFGenPackage.getGenEditorView_ActionBarContributorClassName()`
  ** Generated **
  Model:

### setActionBarContributorClassName

    void setActionBarContributorClassName(java.lang.String value)

  Sets the value of the '`Action Bar Contributor Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Action Bar Contributor Class Name' attribute.
  See Also:
    `getActionBarContributorClassName()`
  ** Generated **

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getGenEditorView_ClassName()`
  ** Generated **
  Model:

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getIconPath

    java.lang.String getIconPath()

  Returns the value of the 'Icon Path' attribute.

  If the meaning of the 'Icon Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon Path' attribute.
  See Also:
    `setIconPath(String)`, `GMFGenPackage.getGenEditorView_IconPath()`
  ** Generated **
  Model:
    required="true"

### getIconPathX

    java.lang.String getIconPathX()

  Processes keywords that are part of iconPath, to avoid serializing processed values.

### setIconPath

    void setIconPath(java.lang.String value)

  Sets the value of the '`Icon Path`' attribute.

  Parameters:
    `value` - the new value of the 'Icon Path' attribute.
  See Also:
    `getIconPath()`
  ** Generated **

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFGenPackage.getGenEditorView_ID()`
  ** Generated **
  Model:

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

### isEclipseEditor

    boolean isEclipseEditor()

  Returns the value of the 'Eclipse Editor' attribute. The default value is `"true"`.

  If the meaning of the 'Eclipse Editor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Eclipse Editor' attribute.
  See Also:
    `setEclipseEditor(boolean)`, `GMFGenPackage.getGenEditorView_EclipseEditor()`
  ** Generated **
  Model:
    default="true"

### setEclipseEditor

    void setEclipseEditor(boolean value)

  Sets the value of the '`Eclipse Editor`' attribute.

  Parameters:
    `value` - the new value of the 'Eclipse Editor' attribute.
  See Also:
    `isEclipseEditor()`
  ** Generated **

### getContextID

    java.lang.String getContextID()

  Returns the value of the 'Context ID' attribute.

  If the meaning of the 'Context ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context ID' attribute.
  See Also:
    `setContextID(String)`, `GMFGenPackage.getGenEditorView_ContextID()`
  ** Generated **
  Model:

### setContextID

    void setContextID(java.lang.String value)

  Sets the value of the '`Context ID`' attribute.

  Parameters:
    `value` - the new value of the 'Context ID' attribute.
  See Also:
    `getContextID()`
  ** Generated **

### getActionBarContributorQualifiedClassName

    java.lang.String getActionBarContributorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.